gtk.gdk Constants
Prev | The gtk.gdk Class Reference | Next

## gtk.gdk Constants

gtk.gdk Constants — the built-in constants of the gtk.gdk module

## Synopsis

    GDK Windowing Constant
    GDK Drag Action Constants
    GDK Device Axis Use Constants
    GDK Byte Order Constants
    GDK Cap Style Constants
    GDK Crossing Mode Constants
    GDK Cursor Type Constants
    GDK Drag Protocol Constants
    GDK Event Mask Flag Constants
    GDK Event Type Constants
    GDK Extension Mode Constants
    GDK Fill Constants
    GDK Fill Rule Constants
    GDK Filter Return Constants
    GDK Function Constants
    GDK GC Values Mask Flag Constants
    GDK Gravity Constants
    GDK Image Type Constants
    GDK Input Condition Flag Constants
    GDK Input Mode Constants
    GDK Input Source Constants
    GDK Join Style Constants
    GDK Line Style Constants
    GDK Modifier Constants
    GDK Notify Type Constants
    GDK Overlap Type Constants
    GDK Owner Change Constants
    GDK Parent Relative Constant
    GDK Pixbuf Rotation Constants
    GDK Property Mode Constants
    GDK Property State Constants
    GDK RGB Dither Constants
    GDK Scroll Direction Constants
    GDK Setting Action Constants
    GDK Subwindow Mode Constants
    GDK Visibility State Constants
    GDK Visual Type Constants
    GDK Window Class Constants
    GDK Window Edge Constants
    GDK Window Hints Constants
    GDK Window State Flag Constants
    GDK Window Type Constants
    GDK Window Type Hint Constants
    GDK WM Decoration Constants
    GDK WM Function Constants

## Description

### GDK Windowing Constant

### Note

This constant is available in PyGTK 2.16 and above.

This consntant specifies which windowing backend GDK uses. It is similar to `GDK_WINDOWING_*` C macros. The constant value is one of the following strings (note that all values are lowercase):

`"x11"` | X Window System
`"win32"` | Microsoft Windows API
`"quartz"` | Mac OS X Quartz
`"directfb"` | Direct Frame Buffer on a UNIX-like system
`"?"` | Unknown (this can in theory happen if GTK+ library is newer than PyGTK)

### GDK Drag Action Constants

The Drag Action constants are used by `gtk.gdk.DragContext` objects to indicate what the destination should do with the dropped data.

`gtk.gdk.ACTION_DEFAULT` |
`gtk.gdk.ACTION_COPY` | Copy the data.
`gtk.gdk.ACTION_MOVE` | Move the data, i.e. first copy it, then delete it from the source using the DELETE target of the X selection protocol.
`gtk.gdk.ACTION_LINK` | Add a link to the data. Note that this is only useful if source and destination agree on what it means.
`gtk.gdk.ACTION_PRIVATE` | Special action which tells the source that the destination will do something that the source doesn't understand.
`gtk.gdk.ACTION_ASK` | Ask the user what to do with the data.

### GDK Device Axis Use Constants

The Device Axis constants describing the way in which a device axis (valuator) maps onto predefined valuator types.

`gtk.gdk.AXIS_IGNORE` | the axis is ignored.
`gtk.gdk.AXIS_X` | the axis is used as the x axis.
`gtk.gdk.AXIS_Y` | the axis is used as the y axis.
`gtk.gdk.AXIS_PRESSURE` | the axis is used for pressure information.
`gtk.gdk.AXIS_XTILT` | the axis is used for x tilt information.
`gtk.gdk.AXIS_YTILT` | the axis is used for y tilt information.
`gtk.gdk.AXIS_WHEEL` | the axis is used for wheel information.
`gtk.gdk.AXIS_LAST` | a constant equal to the numerically highest axis value.

### GDK Byte Order Constants

The Byte Order constants specify a set of values describing the possible byte-orders for storing pixel values in memory.

`gtk.gdk.LSB_FIRST` | The values are stored with the least-significant byte first. For instance, the 32-bit value 0xffeecc would be stored in memory as 0xcc, 0xee, 0xff, 0x00.
`gtk.gdk.MSB_FIRST` | The values are stored with the most-significant byte first. For instance, the 32-bit value 0xffeecc would be stored in memory as 0x00, 0xcc, 0xee, 0xff.

### GDK Cap Style Constants

The Cap Style constants specify how the end of lines are drawn.

`gtk.gdk.CAP_NOT_LAST` | The same as `gtk.gdk.CAP_BUTT` for lines of non-zero width but for zero width lines, the final point on the line will not be drawn.
`gtk.gdk.CAP_BUTT` | The ends of the lines are drawn squared off and extending to the coordinates of the end point.
`gtk.gdk.CAP_ROUND` | The ends of the lines are drawn as semicircles with the diameter equal to the line width and centered at the end point.
`gtk.gdk.CAP_PROJECTING` | The ends of the lines are drawn squared off and extending half the width of the line beyond the end point.

### GDK Crossing Mode Constants

The Crossing Mode constants specify the crossing mode for the Crossing `gtk.gdk.Event`

`` |
`` |

### GDK Cursor Type Constants

The Cursor Type constants specify the set of standard cursors available.

`gtk.gdk.X_CURSOR` |
`gtk.gdk.ARROW` |
`gtk.gdk.BASED_ARROW_DOWN` |
`gtk.gdk.BASED_ARROW_UP` |
`gtk.gdk.BOAT` |
`gtk.gdk.BOGOSITY` |
`gtk.gdk.BOTTOM_LEFT_CORNER` |
`gtk.gdk.BOTTOM_RIGHT_CORNER` |
`gtk.gdk.BOTTOM_SIDE` |
`gtk.gdk.BOTTOM_TEE` |
`gtk.gdk.BOX_SPIRAL` |
`gtk.gdk.CENTER_PTR` |
`gtk.gdk.CIRCLE` |
`gtk.gdk.CLOCK` |
`gtk.gdk.COFFEE_MUG` |
`gtk.gdk.CROSS` |
`gtk.gdk.CROSS_REVERSE` |
`gtk.gdk.CROSSHAIR` |
`gtk.gdk.DIAMOND_CROSS` |
`gtk.gdk.DOT` |
`gtk.gdk.DOTBOX` |
`gtk.gdk.DOUBLE_ARROW` |
`gtk.gdk.DRAFT_LARGE` |
`gtk.gdk.DRAFT_SMALL` |
`gtk.gdk.DRAPED_BOX` |
`gtk.gdk.EXCHANGE` |
`gtk.gdk.FLEUR` |
`gtk.gdk.GOBBLER` |
`gtk.gdk.GUMBY` |
`gtk.gdk.HAND1` |
`gtk.gdk.HAND2` |
`gtk.gdk.HEART` |
`gtk.gdk.ICON` |
`gtk.gdk.IRON_CROSS` |
`gtk.gdk.LEFT_PTR` |
`gtk.gdk.LEFT_SIDE` |
`gtk.gdk.LEFT_TEE` |
`gtk.gdk.LEFTBUTTON` |
`gtk.gdk.LL_ANGLE` |
`gtk.gdk.LR_ANGLE` |
`gtk.gdk.MAN` |
`gtk.gdk.MIDDLEBUTTON` |
`gtk.gdk.MOUSE` |
`gtk.gdk.PENCIL` |
`gtk.gdk.PIRATE` |
`gtk.gdk.PLUS` |
`gtk.gdk.QUESTION_ARROW` |
`gtk.gdk.RIGHT_PTR` |
`gtk.gdk.RIGHT_SIDE` |
`gtk.gdk.RIGHT_TEE` |
`gtk.gdk.RIGHTBUTTON` |
`gtk.gdk.RTL_LOGO` |
`gtk.gdk.SAILBOAT` |
`gtk.gdk.SB_DOWN_ARROW` |
`gtk.gdk.SB_H_DOUBLE_ARROW` |
`gtk.gdk.SB_LEFT_ARROW` |
`gtk.gdk.SB_RIGHT_ARROW` |
`gtk.gdk.SB_UP_ARROW` |
`gtk.gdk.SB_V_DOUBLE_ARROW` |
`gtk.gdk.SHUTTLE` |
`gtk.gdk.SIZING` |
`gtk.gdk.SPIDER` |
`gtk.gdk.SPRAYCAN` |
`gtk.gdk.STAR` |
`gtk.gdk.TARGET` |
`gtk.gdk.TCROSS` |
`gtk.gdk.TOP_LEFT_ARROW` |
`gtk.gdk.TOP_LEFT_CORNER` |
`gtk.gdk.TOP_RIGHT_CORNER` |
`gtk.gdk.TOP_SIDE` |
`gtk.gdk.TOP_TEE` |
`gtk.gdk.TREK` |
`gtk.gdk.UL_ANGLE` |
`gtk.gdk.UMBRELLA` |
`gtk.gdk.UR_ANGLE` |
`gtk.gdk.WATCH` |
`gtk.gdk.XTERM` |

### GDK Drag Protocol Constants

The Drag Protocol constants specify the protocol for a `gtk.gdk.DragContext` according to which `DND` is done.

`gtk.gdk.DRAG_PROTO_MOTIF` | The Motif DND protocol.
`gtk.gdk.DRAG_PROTO_XDND` | The Xdnd protocol.
`gtk.gdk.DRAG_PROTO_ROOTWIN` | An extension to the Xdnd protocol for unclaimed root window drops.
`gtk.gdk.DRAG_PROTO_NONE` | no protocol.
`gtk.gdk.DRAG_PROTO_WIN32_DROPFILES` | The simple WM_DROPFILES protocol.
`gtk.gdk.DRAG_PROTO_OLE2` | The complex OLE2 DND protocol (not implemented).
`gtk.gdk.DRAG_PROTO_LOCAL` | Intra-application DND.

### GDK Event Mask Flag Constants

The Event Mask flag constants are a set of bit-flags that specify the events a window is to receive. Most of these masks map onto one or more of the Event Type Constants.

| `gtk.gdk.EXPOSURE_MASK`
| `gtk.gdk.POINTER_MOTION_MASK`
| `gtk.gdk.POINTER_MOTION_HINT_MASK`
| `gtk.gdk.BUTTON_MOTION_MASK`
| `gtk.gdk.BUTTON1_MOTION_MASK`
| `gtk.gdk.BUTTON2_MOTION_MASK`
| `gtk.gdk.BUTTON3_MOTION_MASK`
| `gtk.gdk.BUTTON_PRESS_MASK`
| `gtk.gdk.BUTTON_RELEASE_MASK`
| `gtk.gdk.KEY_PRESS_MASK`
| `gtk.gdk.KEY_RELEASE_MASK`
| `gtk.gdk.ENTER_NOTIFY_MASK`
| `gtk.gdk.LEAVE_NOTIFY_MASK`
| `gtk.gdk.FOCUS_CHANGE_MASK`
| `gtk.gdk.STRUCTURE_MASK`
| `gtk.gdk.PROPERTY_CHANGE_MASK`
| `gtk.gdk.VISIBILITY_NOTIFY_MASK`
| `gtk.gdk.PROXIMITY_IN_MASK`
| `gtk.gdk.PROXIMITY_OUT_MASK`
| `gtk.gdk.SUBSTRUCTURE_MASK`
| `gtk.gdk.SCROLL_MASK`
| `gtk.gdk.ALL_EVENTS_MASK`

### GDK Event Type Constants

The Event Type constants specify the type of an event.

`gtk.gdk.NOTHING` | a special code to indicate a null event.
`gtk.gdk.DELETE` | the window manager has requested that the toplevel window be hidden or destroyed, usually when the user clicks on a special icon in the title bar.
`gtk.gdk.DESTROY` | the window has been destroyed.
`gtk.gdk.EXPOSE` | all or part of the window has become visible and needs to be redrawn.
`gtk.gdk.MOTION_NOTIFY` | the pointer (usually a mouse) has moved.
`gtk.gdk.BUTTON_PRESS` | a mouse button has been pressed.
`gtk.gdk._2BUTTON_PRESS` | a mouse button has been double-clicked (clicked twice within a short period of time). Note that each click also generates a `gtk.gdk.BUTTON_PRESS` event.
`gtk.gdk._3BUTTON_PRESS` | a mouse button has been clicked 3 times in a short period of time. Note that each click also generates a `gtk.gdk.BUTTON_PRESS` event.
`gtk.gdk.BUTTON_RELEASE` | a mouse button has been released.
`gtk.gdk.KEY_PRESS` | a key has been pressed.
`gtk.gdk.KEY_RELEASE` | a key has been released.
`gtk.gdk.ENTER_NOTIFY` | the pointer has entered the window.
`gtk.gdk.LEAVE_NOTIFY` | the pointer has left the window.
`gtk.gdk.FOCUS_CHANGE` | the keyboard focus has entered or left the window.
`gtk.gdk.CONFIGURE` | the size, position or stacking order of the window has changed. Note that `PyGTK` discards these events for `gtk.gdk.WINDOW_CHILD` windows.
`gtk.gdk.MAP` | the window has been mapped.
`gtk.gdk.UNMAP` | the window has been unmapped.
`gtk.gdk.PROPERTY_NOTIFY` | a property on the window has been changed or deleted.
`gtk.gdk.SELECTION_CLEAR` | the application has lost ownership of a selection.
`gtk.gdk.SELECTION_REQUEST` | another application has requested a selection.
`gtk.gdk.SELECTION_NOTIFY` | a selection has been received.
`gtk.gdk.PROXIMITY_IN` | an input device has moved into contact with a sensing surface (e.g. a touchscreen or graphics tablet).
`gtk.gdk.PROXIMITY_OUT` | an input device has moved out of contact with a sensing surface.
`gtk.gdk.DRAG_ENTER` | the mouse has entered the window while a drag is in progress.
`gtk.gdk.DRAG_LEAVE` | the mouse has left the window while a drag is in progress
`gtk.gdk.DRAG_MOTION` | the mouse has moved in the window while a drag is in progress.
`gtk.gdk.DRAG_STATUS` | the status of the drag operation initiated by the window has changed.
`gtk.gdk.DROP_START` | a drop operation onto the window has started.
`gtk.gdk.DROP_FINISHED` | the drop operation initiated by the window has completed.
`gtk.gdk.CLIENT_EVENT` | a message has been received from another application.
`gtk.gdk.VISIBILITY_NOTIFY` | the window visibility status has changed.
`gtk.gdk.NO_EXPOSE` | indicates that the source region was completely available when parts of a drawable were copied. This is not very useful.
`gtk.gdk.SCROLL` | a scroll had occurred for a window
`gtk.gdk.WINDOW_STATE` | the window state has changed
`gtk.gdk.SETTING` | a setting has changed

### GDK Extension Mode Constants

The Extension Mode constants specify which extension events are desired for a particular widget.

`gtk.gdk.EXTENSION_EVENTS_NONE` | No extension events are desired.
`gtk.gdk.EXTENSION_EVENTS_ALL` | All extension events are desired.
`gtk.gdk.EXTENSION_EVENTS_CURSOR` | Extension events are desired only if a cursor will be displayed for the device.

### GDK Fill Constants

The Fill constants specify how primitives are drawn.

`gtk.gdk.SOLID` | draw with the foreground color.
`gtk.gdk.TILED` | draw with a tiled pixmap.
`gtk.gdk.STIPPLED` | draw using the stipple bitmap. Pixels corresponding to bits in the stipple bitmap that are set will be drawn in the foreground color; pixels corresponding to bits that are not set will be left untouched.
`gtk.gdk.OPAQUE_STIPPLED` | draw using the stipple bitmap. Pixels corresponding to bits in the stipple bitmap that are set will be drawn in the foreground color; pixels corresponding to bits that are not set will be drawn with the background color.

### GDK Fill Rule Constants

The Fill Rule constants specify the method for determining which pixels are included in a region, when creating a GdkRegion from a polygon. The fill rule is only relevant for polygons which overlap themselves. Not used in PyGTK.

`gtk.gdk.EVEN_ODD_RULE` | Areas which are overlapped an odd number of times are included in the region, while areas overlapped an even number of times are not.
`gtk.gdk.WINDING_RULE` | Overlapping areas are always included.

### GDK Filter Return Constants

The Filter Return constants specify the result of filtering a native event. See the `gtk.gdk.Window.add_filter`() method for more information.

`gtk.gdk.FILTER_CONTINUE` | Event not handled, continue processing.
`gtk.gdk.FILTER_TRANSLATE` | Native event translated and stored into the `gtk.gdk.Event` passed in.
`gtk.gdk.FILTER_REMOVE` | Event handled, terminate processing.

### GDK Function Constants

The Function constants specify how the bit values for the source pixels are combined with the bit values for destination pixels to produce the final result. The sixteen values here correspond to the 16 different possible 2x2 truth tables. Only a couple of these values are usually useful; for colored images, only `gtk.gdk.COPY`, `gtk.gdk.XOR` and `gtk.gdk.INVERT` are generally useful. For bitmaps, `gtk.gdk.AND` and `gtk.gdk.OR` are also useful.

| `gtk.gdk.COPY`
| `gtk.gdk.INVERT`
| `gtk.gdk.XOR`
| `gtk.gdk.CLEAR`
| `gtk.gdk.AND`
| `gtk.gdk.AND_REVERSE.`
| `gtk.gdk.AND_INVERT`
| `gtk.gdk.NOOP`
| `gtk.gdk.OR`
| `gtk.gdk.EQUIV`
| `gtk.gdk.OR_REVERSE`
| `gtk.gdk.COPY_INVERT`
| `gtk.gdk.OR_INVERT`
| `gtk.gdk.NAND`
| `gtk.gdk.NOR`
| `gtk.gdk.SET`

### GDK GC Values Mask Flag Constants

The GC Values Mask flag constants are a set of bit flags used to specify which fields GdkGCValues structure are set. These are only used internally by PyGTK.

`gtk.gdk.GC_FOREGROUND` | the foreground is set.
`gtk.gdk.GC_BACKGROUND` | the background is set.
`gtk.gdk.GC_FONT` | the font is set.
`gtk.gdk.GC_FUNCTION` | the function is set.
`gtk.gdk.GC_FILL` | the fill is set.
`gtk.gdk.GC_TILE` | the tile is set.
`gtk.gdk.GC_STIPPLE` | the stipple is set.
`gtk.gdk.GC_CLIP_MASK` | the clip_mask is set.
`gtk.gdk.GC_SUBWINDOW` | the subwindow_mode is set.
`gtk.gdk.GC_TS_X_ORIGIN` | the ts_x_origin is set.
`gtk.gdk.GC_TS_Y_ORIGIN` | the ts_y_origin is set.
`gtk.gdk.GC_CLIP_X_ORIGIN` | the clip_x_origin is set.
`gtk.gdk.GC_CLIP_Y_ORIGIN` | the clip_y_origin is set.
`gtk.gdk.GC_EXPOSURES` | the graphics_exposures is set.
`gtk.gdk.GC_LINE_WIDTH` | the line_width is set.
`gtk.gdk.GC_LINE_STYLE` | the line_style is set.
`gtk.gdk.GC_CAP_STYLE` | the cap_style is set.
`gtk.gdk.GC_JOIN_STYLE` | the join_style is set.

### GDK Gravity Constants

The Gravity constants specify the reference point of a window and the meaning of coordinates passed to the `gtk.Window.move`() method.

`gtk.gdk.GRAVITY_NORTH_WEST` | The reference point is at the top left corner.
`gtk.gdk.GRAVITY_NORTH` | The reference point is in the middle of the top edge.
`gtk.gdk.GRAVITY_NORTH_EAST` | The reference point is at the top right corner.
`gtk.gdk.GRAVITY_WEST` | The reference point is at the middle of the left edge.
`gtk.gdk.GRAVITY_CENTER` | The reference point is at the center of the window.
`gtk.gdk.GRAVITY_EAST` | The reference point is at the middle of the right edge.
`gtk.gdk.GRAVITY_SOUTH_WEST` | The reference point is at the lower left corner.
`gtk.gdk.GRAVITY_SOUTH` | The reference point is at the middle of the lower edge.
`gtk.gdk.GRAVITY_SOUTH_EAST` | The reference point is at the lower right corner.
`gtk.gdk.GRAVITY_STATIC` | The reference point is at the top left corner of the window itself, ignoring window manager decorations.

### GDK Image Type Constants

The Image Type constants specify the type of a `gtk.gdk.Image`.

`gtk.gdk.IMAGE_NORMAL` | The original X image type, which is quite slow since the image has to be transferred from the client to the server to display it.
`gtk.gdk.IMAGE_SHARED` | A faster image type, which uses shared memory to transfer the image data between client and server. However this will only be available if client and server are on the same machine and the shared memory extension is supported by the server.
`gtk.gdk.IMAGE_FASTEST` | Specifies that gtk.gdk.IMAGE_SHARED should be tried first, and if that fails then gtk.gdk.IMAGE_NORMAL will be used.

### GDK Input Condition Flag Constants

The Input Condition constants are a set of bit-flags that specify conditions for which an input callback will be triggered. The three members of this enumeration correspond to the `readfds`, `writefds`, and `exceptfds` arguments to the `select` system call.

`gtk.gdk.INPUT_READ` | The file descriptor has become available for reading. (Or, as is standard in Unix, a socket or pipe was closed at the other end; this is the case if a subsequent read on the file descriptor returns a count of zero.)
`gtk.gdk.INPUT_WRITE` | The file descriptor has become available for writing.
`gtk.gdk.INPUT_EXCEPTION` | An exception was raised on the file descriptor.

### GDK Input Mode Constants

The Input Mode constants specify the mode of an input device.

`gtk.gdk.MODE_DISABLED` | the device is disabled and will not report any events.
`gtk.gdk.MODE_SCREEN` | the device is enabled. The device's coordinate space maps to the entire screen.
`gtk.gdk.MODE_WINDOW` | the device is enabled. The device's coordinate space is mapped to a single window. The manner in which this window is chosen is undefined, but it will typically be the same way in which the focus window for key events is determined.

### GDK Input Source Constants

The Input Source constants specify the type of an input device in general terms.

`gtk.gdk.SOURCE_MOUSE` | the device is a mouse. (This will be reported for the core pointer, even if it is something else, such as a trackball.)
`gtk.gdk.SOURCE_PEN` | the device is a stylus of a graphics tablet or similar device.
`gtk.gdk.SOURCE_ERASER` | the device is an eraser. Typically, this would be the other end of a stylus on a graphics tablet.
`gtk.gdk.SOURCE_CURSOR` | the device is a graphics tablet "puck" or similar device.

### GDK Join Style Constants

The Join Style constants specify how the joins between segments of a polygon are drawn.

`gtk.gdk.JOIN_MITER` | The sides of each line are extended to meet at an angle.
`gtk.gdk.JOIN_ROUND` | The sides of the two lines are joined by a circular arc.
`gtk.gdk.JOIN_BEVEL` | The sides of the two lines are joined by a straight line which makes an equal angle with each line.

### GDK Line Style Constants

The Line Style constants specify how lines are drawn.

`gtk.gdk.LINE_SOLID` | Lines are drawn solid.
`gtk.gdk.LINE_ON_OFF_DASH` | Lines are drawn dashed where even segments are drawn but odd segments are not drawn.
`gtk.gdk.LINE_DOUBLE_DASH` | Lines are drawn dashed where even segments are drawn normally but odd segments are drawn in the background color if the fill style is `gtk.gdk.SOLID`, or in the background color masked by the stipple if the fill style is `gtk.gdk.STIPPLED`.

### GDK Modifier Constants

The Modifier constants are a set of bit-flags to indicate the state of modifier keys and mouse buttons in various event types. Typical modifier keys are Shift, Control, Meta, Super, Hyper, Alt, Compose, Apple, CapsLock or ShiftLock.

`gtk.gdk.SHIFT_MASK` | The Shift key.
`gtk.gdk.LOCK_MASK` | A Lock key (depending on the modifier mapping of the X server this may either be CapsLock or ShiftLock).
`gtk.gdk.CONTROL_MASK` | The Control key.
`gtk.gdk.MOD1_MASK` | The fourth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier, but normally it is the Alt key).
`gtk.gdk.MOD2_MASK` | The fifth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier).
`gtk.gdk.MOD3_MASK` | The sixth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier).
`gtk.gdk.MOD4_MASK` | The seventh modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier).
`gtk.gdk.MOD5_MASK` | The eighth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier).
`gtk.gdk.BUTTON1_MASK` | The first mouse button.
`gtk.gdk.BUTTON2_MASK` | The second mouse button.
`gtk.gdk.BUTTON3_MASK` | The third mouse button.
`gtk.gdk.BUTTON4_MASK` | The fourth mouse button.
`gtk.gdk.BUTTON5_MASK` | The fifth mouse button.
`gtk.gdk.RELEASE_MASK` | Differentiates between (keyval, modifiers) pairs from key press and release events.
`gtk.gdk.MODIFIER_MASK` | all of the above

### GDK Notify Type Constants

The Notify Type constants specify the kind of crossing for the Crossing `gtk.gdk.Event`

`gtk.gdk.NOTIFY_ANCESTOR` | the window is entered from an ancestor or left toward an ancestor.
`gtk.gdk.NOTIFY_VIRTUAL` | the pointer moves between an ancestor and an inferior of the window.
`gtk.gdk.NOTIFY_INFERIOR` | the window is entered from an inferior or left toward an inferior.
`gtk.gdk.NOTIFY_NONLINEAR` | the window is entered from or left toward a window which is neither an ancestor nor an inferior.
`gtk.gdk.NOTIFY_NONLINEAR_VIRTUAL` | the pointer moves between two windows which are not ancestors of each other and the window is part of the ancestor chain between one of these windows and their least common ancestor.
`gtk.gdk.NOTIFY_UNKNOWN` | ???

### GDK Overlap Type Constants

The Overlap Type constants specify the possible values returned by the `gtk.gdk.Region.rect_in`() method.

`gtk.gdk.OVERLAP_RECTANGLE_IN` | The rectangle is inside the GdkRegion.
`gtk.gdk.OVERLAP_RECTANGLE_OUT` | The rectangle is outside the GdkRegion.
`gtk.gdk.OVERLAP_RECTANGLE_PART` | The rectangle is partly inside the GdkRegion.

### GDK Owner Change Constants

The Owner Change constants specify the possible values indicating why selection ownership changed. These are used by the `gdk.OWNER_CHANGE` type `gtk.gdk.Event` "owner" attribute.

`gtk.gdk.OVERLAP_RECTANGLE_IN` | The rectangle is inside the GdkRegion.
`gtk.gdk.OVERLAP_RECTANGLE_OUT` | The rectangle is outside the GdkRegion.
`gtk.gdk.OVERLAP_RECTANGLE_PART` | The rectangle is partly inside the GdkRegion.

### GDK Parent Relative Constant

### Note

This constant is available in PyGTK 2.10 and above.

The Parent Relative constant is a special value (equivalent to 1L) for `gtk.gdk.Pixmap` variables, indicating that the background pixmap for a window should be inherited from the parent window.

`gtk.gdk.PARENT_RELATIVE` | the background pixmap for a window should be inherited from the parent window.

### GDK Pixbuf Rotation Constants

The Pixbuf Rotation constants specify the angles that a pixbuf can be rotated using the `gtk.gdk.Pixbuf.rotate_simple`() method.

`gtk.gdk.PIXBUF_ROTATE_NONE` | No rotation. Rotate by 0 degrees.
`gtk.gdk.PIXBUF_ROTATE_COUNTERCLOCKWISE` | Rotate by 90 degrees.
`gtk.gdk.PIXBUF_ROTATE_UPSIDEDOWN` | Rotate by 180 degrees.
`gtk.gdk.PIXBUF_ROTATE_CLOCKWISE` | Rotate by 270 degrees.

### GDK Property Mode Constants

The Property Mode constants specify how existing data is combined with new data when using the the `gtk.gdk.Window.property_change`() method.

`gtk.gdk.PROP_MODE_REPLACE` | The new data replaces the existing data.
`gtk.gdk.PROP_MODE_PREPEND` | The new data is prepended to the existing data.
`gtk.gdk.PROP_MODE_APPEND` | The new data is appended to the existing data.

### GDK Property State Constants

The Property State constants specify the type of a property change for a Property `gtk.gdk.Event`

`gtk.gdk.PROPERTY_NEW_VALUE` | the property value was changed.
`gtk.gdk.PROPERTY_DELETE` | the property was deleted.

### GDK RGB Dither Constants

The RGB Dither constants specify the type of dithering to apply to the image on display.

`gtk.gdk.RGB_DITHER_NONE` | Never use dithering.
`gtk.gdk.RGB_DITHER_NORMAL` | Use dithering in 8 bits per pixel (and below) only.
`gtk.gdk.RGB_DITHER_MAX` | Use dithering in 16 bits per pixel and below.

### GDK Scroll Direction Constants

The Scroll Direction constants specify the direction for the Scroll.`gtk.gdk.Event`

`gtk.gdk.SCROLL_UP` | the window is scrolled up.
`gtk.gdk.SCROLL_DOWN` | the window is scrolled down.
`gtk.gdk.SCROLL_LEFT` | the window is scrolled to the left.
`gtk.gdk.SCROLL_RIGHT` | the window is scrolled to the right.

### GDK Setting Action Constants

The Setting Action constants specify the kind of modification applied to a setting in a Setting `gtk.gdk.Event`

`gtk.gdk.SETTING_ACTION_NEW` | A setting was added.
`gtk.gdk.SETTING_ACTION_CHANGED` | A setting was changed.
`gtk.gdk.SETTING_ACTION_DELETED` | A setting was deleted.

### GDK Subwindow Mode Constants

The Subwindow Mode constants specify how drawing onto a window will affect child windows of that window.

`gtk.gdk.CLIP_BY_CHILDREN` | only draw onto the window itself not the subwindows.
`gtk.gdk.INCLUDE_INFERIORS` | draw onto the window and child windows.

### GDK Visibility State Constants

The Visibility State constants specify the visibility status of a window for the Visibility `gtk.gdk.Event`

`gtk.gdk.VISIBILITY_UNOBSCURED` | the window is completely visible.
`gtk.gdk.VISIBILITY_PARTIAL` | the window is partially visible.
`gtk.gdk.VISIBILITY_FULLY_OBSCURED` | the window is not visible at all.

### GDK Visual Type Constants

The Visual Type constants specify a set of values that describe the manner in which the pixel values for a visual are converted into RGB values for display.

`gtk.gdk.VISUAL_STATIC_GRAY` | Each pixel value indexes a grayscale value directly.
`gtk.gdk.VISUAL_GRAYSCALE` | Each pixel is an index into a color map that maps pixel values into grayscale values. The color map can be changed by an application.
`gtk.gdk.VISUAL_STATIC_COLOR` | Each pixel value is an index into a predefined, unmodifiable color map that maps pixel values into RGB values.
`gtk.gdk.VISUAL_PSEUDO_COLOR` | Each pixel is an index into a color map that maps pixel values into rgb values. The color map can be changed by an application.
`gtk.gdk.VISUAL_TRUE_COLOR` | Each pixel value directly contains red, green, and blue components. The red_mask, green_mask, and blue_mask fields of the `gtk.gdk.Visual` structure describe how the components are assembled into a pixel value.
`gtk.gdk.VISUAL_DIRECT_COLOR` | Each pixel value contains red, green, and blue components as for `gtk.gdk.TRUE_COLOR`, but the components are mapped via a color table into the final output table instead of being converted directly.

### GDK Window Class Constants

The Window Class constants specify the class of window. `gtk.gdk.INPUT_OUTPUT` windows are the standard kind of window you might expect. `gtk.gdk.INPUT_ONLY` windows are invisible; they are used to trap events, but you can't draw on them.

`gtk.gdk.INPUT_OUTPUT` | A window for graphics and events.
`gtk.gdk.INPUT_ONLY` | A window for events only.

### GDK Window Edge Constants

The Window Edge constants specify window edge or corner.

`gtk.gdk.WINDOW_EDGE_NORTH_WEST` | The top left corner.
`gtk.gdk.WINDOW_EDGE_NORTH` | The top edge.
`gtk.gdk.WINDOW_EDGE_NORTH_EAST` | The top right corner.
`gtk.gdk.WINDOW_EDGE_WEST` | The left edge.
`gtk.gdk.WINDOW_EDGE_EAST` | The right edge.
`gtk.gdk.WINDOW_EDGE_SOUTH_WEST` | The lower left corner.
`gtk.gdk.WINDOW_EDGE_SOUTH` | The lower edge.
`gtk.gdk.WINDOW_EDGE_SOUTH_EAST` | The lower right corner.

### GDK Window Hints Constants

The Window Hints constants specify the fields of a GdkGeometry struct should be paid attention to. Also, the presence/absence of `gtk.gdk.HINT_POS`, `gtk.gdk.HINT_USER_POS`, and `gtk.gdk.HINT_USER_SIZE` is significant, though they don't directly refer to GdkGeometry fields. `gtk.gdk.HINT_USER_POS` will be set automatically by `gtk.Window` if you call the `gtk.Window.move`() method. `gtk.gdk.HINT_USER_POS` and `gtk.gdk.HINT_USER_SIZE` should be set if the user specified a size/position using a --geometry command-line argument; the `gtk.Window.parse_geometry`() method automatically sets these flags. These constants aren't useful in PyGTK.

`gtk.gdk.HINT_POS` | Indicates that the program has positioned the window
`gtk.gdk.HINT_MIN_SIZE` | Min size fields are set
`gtk.gdk.HINT_MAX_SIZE` | Max size fields are set
`gtk.gdk.HINT_BASE_SIZE` | Base size fields are set
`gtk.gdk.HINT_ASPECT` | Aspect ratio fields are set
`gtk.gdk.HINT_RESIZE_INC` | Resize increment fields are set
`gtk.gdk.HINT_WIN_GRAVITY` | Window gravity field is set
`gtk.gdk.HINT_USER_POS` | Indicates that the window's position was explicitly set by the user
`gtk.gdk.HINT_USER_SIZE` | Indicates that the window's size was explicitly set by the user

### GDK Window State Flag Constants

The Window State flag constants are a set of bit-flags that specify the state of a toplevel window.

`gtk.gdk.WINDOW_STATE_WITHDRAWN` | The window is not shown.
`gtk.gdk.WINDOW_STATE_ICONIFIED` | The window is minimized.
`gtk.gdk.WINDOW_STATE_MAXIMIZED` | The window is maximized.
`gtk.gdk.WINDOW_STATE_STICKY` | The window is sticky.
`gtk.gdk.WINDOW_STATE_FULLSCREEN` | The window is maximized without decorations. Available in PyGTK 2.2 and above.
`gtk.gdk.WINDOW_STATE_ABOVE` | The window is kept above other windows. Available in PyGTK 2.4 and above.
`gtk.gdk.WINDOW_STATE_BELOW` | The window is kept below other windows. Available in PyGTK 2.4 and above.

### GDK Window Type Constants

The Window Type constants specify the type of window.

`gtk.gdk.WINDOW_ROOT` | The root window; this window has no parent, covers the entire screen, and is created by the window system.
`gtk.gdk.WINDOW_TOPLEVEL` | A toplevel window (used to implement `gtk.Window`).
`gtk.gdk.WINDOW_CHILD` | A child window (used to implement widgets e.g. `gtk.Entry`).
`gtk.gdk.WINDOW_DIALOG` | A useless/deprecated compatibility type.
`gtk.gdk.WINDOW_TEMP` | An override redirect temporary window (used to implement `gtk.Menu`).
`gtk.gdk.WINDOW_FOREIGN` | A foreign window (see the `gtk.gdk.window_foreign_new`() function).

### GDK Window Type Hint Constants

The Window Type Hint constants specify hints for the window manager that indicate what type of function the window has. The window manager can use this when determining decoration and behavior of the window. The hint must be set before mapping the window.

`gtk.gdk.WINDOW_TYPE_HINT_NORMAL` | A normal toplevel window.
`gtk.gdk.WINDOW_TYPE_HINT_DIALOG` | A dialog window.
`gtk.gdk.WINDOW_TYPE_HINT_MENU` | A window used to implement a menu.
`gtk.gdk.WINDOW_TYPE_HINT_TOOLBAR` | A window used to implement a toolbar.
`gtk.gdk.WINDOW_TYPE_HINT_SPLASHSCREEN` | A window used to implement a splash screen
`gtk.gdk.WINDOW_TYPE_HINT_UTILITY` |
`gtk.gdk.WINDOW_TYPE_HINT_DOCK` | A window used to implement a docking bar.
`gtk.gdk.WINDOW_TYPE_HINT_DESKTOP` | A window used to implement a desktop.
`gtk.gdk.WINDOW_TYPE_HINT_DROPDOWN_MENU` | A menu that belongs to a menubar.
`gtk.gdk.WINDOW_TYPE_HINT_POPUP_MENU` | A menu that does not belong to a menubar, e.g. a context menu.
`gtk.gdk.WINDOW_TYPE_HINT_TOOLTIP` | A tooltip.
`gtk.gdk.WINDOW_TYPE_HINT_NOTIFICATION` | A notification - typically a "bubble" that belongs to a status icon.
`gtk.gdk.WINDOW_TYPE_HINT_COMBO` | A popup from a combo box.
`gtk.gdk.WINDOW_TYPE_HINT_DND` | A window that is used to implement a DND cursor.

### GDK WM Decoration Constants

The WM Decoration constants are bit-flags that specify the hints that the window manager can use when determining how to decorate the window. The hints must be set before mapping the window.

`gtk.gdk.DECOR_ALL` | All decorations should be applied.
`gtk.gdk.DECOR_BORDER` | A frame should be drawn around the window.
`gtk.gdk.DECOR_RESIZEH` | The frame should have resize handles.
`gtk.gdk.DECOR_TITLE` | A titlebar should be placed above the window.
`gtk.gdk.DECOR_MENU` | A button for opening a menu should be included.
`gtk.gdk.DECOR_MINIMIZE` | A minimize button should be included.
`gtk.gdk.DECOR_MAXIMIZE` | A maximize button should be included.

### GDK WM Function Constants

The WM Function constants specify hints originally defined by the Motif toolkit. The window manager can use them when determining the functions to offer for the window. The hint must be set before mapping the window.

`gtk.gdk.FUNC_ALL` | All functions should be offered.
`gtk.gdk.FUNC_RESIZE` | The window should be resizable.
`gtk.gdk.FUNC_MOVE` | The window should be movable.
`gtk.gdk.FUNC_MINIMIZE` | The window should be minimizable.
`gtk.gdk.FUNC_MAXIMIZE` | The window should be maximizable.
`gtk.gdk.FUNC_CLOSE` | The window should be closeable.

Prev | Up | Next
gtk.gdk Functions | Home | The gtk.glade Class Reference